<?xml version="1.0" encoding="gb2312"?><!-- DWXMLSource="1.xml" --><!DOCTYPE xsl:stylesheet  [
	<!ENTITY nbsp   "&#160;">
	<!ENTITY copy   "&#169;">
	<!ENTITY reg    "&#174;">
	<!ENTITY trade  "&#8482;">
	<!ENTITY mdash  "&#8212;">
	<!ENTITY ldquo  "&#8220;">
	<!ENTITY rdquo  "&#8221;"> 
	<!ENTITY pound  "&#163;">
	<!ENTITY yen    "&#165;">
	<!ENTITY euro   "&#8364;">
]>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:dt="urn:schemas-microsoft-com:datatypes">
<xsl:output method="html" encoding="gb2312" doctype-public="-//W3C//DTD XHTML 1.0 Transitional//EN" doctype-system="http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd"/>
<xsl:template match="/">

<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=gb2312"/>
<title>Untitled Document</title>
</head>

<body>
<table width="400" border="1">
    <xsl:for-each select="书库/计算机类">
      <xsl:if test="价格 &lt; 40">
        <tr>
          <td><xsl:value-of select="书名"/></td>
          <td><xsl:value-of select="作者"/></td>
          <td><xsl:value-of select="价格"/><xsl:value-of select="价格/@货币单位"/></td>
        </tr>
      </xsl:if>
    </xsl:for-each>
</table>
<xsl:comment>
  这里是一段XSL的注释
</xsl:comment>
</body>
</html>

</xsl:template>
</xsl:stylesheet>